## system-config-date 1.9.60

=== Makefile ===
# License: GPL v2 or later
# Copyright Red Hat Inc.  2001 - 2009
# Copyright Brent Fox <bfox@redhat.com> 2001, 2002

PKGNAME=system-config-date

SCM_REMOTEREPO_RE = ^ssh://(.*@)?git.fedorahosted.org/git/$(PKGNAME).git$
UPLOAD_URL = ssh://fedorahosted.org/$(PKGNAME)

SUBDIRS=man po

PREFIX=/usr

BINDIR=${PREFIX}/bin
SBINDIR=${PREFIX}/sbin
MANDIR=${DATADIR}/man
DATADIR=${PREFIX}/share
SYSCONFDIR=/etc

PKGDATADIR=${DATADIR}/${PKGNAME}

PAMD_DIR        = ${SYSCONFDIR}/pam.d
SECURITY_DIR    = ${SYSCONFDIR}/security/console.apps

PY_SRC_DIR              = src
PY_SRC_APPS             = date_gui.py scdMainWindow.py system-config-date.py timezone_gui.py timezone_map_gui.py
_PY_SRC_APPS            = $(patsubst %,$(PY_SRC_DIR)/%,$(PY_SRC_APPS))
PY_SRC_MODULES          = scdate
_PY_SRC_MODULE_FILES    = $(shell find $(patsubst %,$(PY_SRC_DIR)/%,$(PY_SRC_MODULES)) -type f -a -name "*.py")
PY_SOURCES              = $(_PY_SRC_APPS) $(_PY_SRC_MODULE_FILES)

all:    $(PKGNAME).desktop $(PKGNAME).console src/ntp.conf.template py-build

include rpmspec_rules.mk
include py_rules.mk
include console_rules.mk
include git_rules.mk
include upload_rules.mk

po/$(PKGNAME).pot:: subdirs

subdirs:	$(PKGNAME).desktop.in.h
	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1; done

%.desktop.in.h: %.desktop.in
	intltool-extract --type=gettext/ini $<

%.desktop: %.desktop.in po/$(PKGNAME).pot po/*.po
	intltool-merge -u -d po/ $< $@

src/ntp.conf.template:	src/ntp.conf.template.in
	if [ -z "$(POOL_NTP_ORG_VENDOR)" ]; then \
		fgrep -v '@DEFAULT_NTP_SERVERS@' < $< > $@ ; \
	else \
		awk '{ if ($$0 ~ "@DEFAULT_NTP_SERVERS@") { \
			for (i=0; i<=2; i++) { print "server " i ".$(POOL_NTP_ORG_VENDOR).pool.ntp.org"; } \
			} else { print; } }' < $< > $@ ; \
	fi

install: all py-install
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(PKGDATADIR)
	mkdir -p $(DESTDIR)$(PAMD_DIR)
	mkdir -p $(DESTDIR)$(SECURITY_DIR)
	mkdir -p $(DESTDIR)$(PKGDATADIR)/pixmaps
	mkdir -p $(DESTDIR)$(DATADIR)/applications
	mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/

	install -m 0644 $(_PY_SRC_APPS) $(DESTDIR)$(PKGDATADIR)
	chmod 0755 $(DESTDIR)$(PKGDATADIR)/system-config-date.py
	install -m 0644 src/ntp.conf.template $(DESTDIR)$(PKGDATADIR)
	install -m 0644 src/${PKGNAME}.glade $(DESTDIR)$(PKGDATADIR)
	install -m 0644 ${PKGNAME}.pam $(DESTDIR)$(PAMD_DIR)/${PKGNAME}
	install -m 0644 ${PKGNAME}.console $(DESTDIR)$(SECURITY_DIR)/${PKGNAME}
	install -m 0644 pixmaps/map*.png $(DESTDIR)$(PKGDATADIR)/pixmaps
	for src in pixmaps/icons/*/apps/system-config-date.png; do \
		dst="$(DESTDIR)$(DATADIR)/icons/hicolor/$${src#pixmaps/icons/}"; \
		dir="$${dst%/system-config-date.png}"; \
		install -m 0755 -d "$$dir" && install -m 0644 "$$src" "$$dst"; \
	done
	install -m 0755 -d $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps
	install -m 0644 pixmaps/icons/scalable/apps/system-config-date.svg $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/system-config-date.svg
	install -m 0644 ${PKGNAME}.desktop $(DESTDIR)$(DATADIR)/applications/${PKGNAME}.desktop
	ln -sf consolehelper $(DESTDIR)$(BINDIR)/${PKGNAME}
	for d in $(SUBDIRS); do \
	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) MANDIR=$(MANDIR) install) \
		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

clean: console-clean py-clean
	rm -fv $(PKGNAME).desktop
	rm -fv *~
	rm -fv *.pyc
	rm -fv src/ntp.conf.template

=== man/Makefile ===

MANDIR=/usr/share/man

all:

install:
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 en/system-config-date.8 $(DESTDIR)$(MANDIR)/man8
	mkdir -p $(DESTDIR)$(MANDIR)/fr/man8
	install -m 644 fr/system-config-date.8 $(DESTDIR)$(MANDIR)/fr/man8
	mkdir -p $(DESTDIR)$(MANDIR)/ja/man8
	install -m 644 ja/system-config-date.8 $(DESTDIR)$(MANDIR)/ja/man8

clean:

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#
# $Id: Makefile,v 1.16 2006/10/17 10:21:13 nphilipp Exp $

TOP	 = ../..

# What is this package?
NLSPACKAGE	= system-config-date
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# commands
DIFF		= /usr/bin/diff
GREP		= /bin/grep

# PO catalog handling
MSGMERGE	= msgmerge -v -N
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
		  --add-comments		  
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
PYSRC		= $(wildcard ../src/*.py)
GLADESRC	= $(wildcard ../src/*.glade)
CSRC		= ../system-config-date.desktop.in.h
SRCFILES	= $(PYSRC) $(GLADESRC) $(CSRC)

all::  update-po $(MOFILES)

po_diff_and_mv_or_rm	= \
	if [ ! -f "$(1)" ] || ($(DIFF) "$(1)" "$(2)" | $(GREP) -v '^. "POT-Creation-Date:' | $(GREP) -q '^[<>] [^\#]'); then \
		echo "Creating/updating $(1)"; \
	    mv -f $(2) $(1); \
	else \
	    rm -f $(2); \
	fi

po_diff_and_mv_or_rm_func = \
	function po_diff_and_mv_or_rm () { \
		$(call po_diff_and_mv_or_rm,$$1,$$2) \
	}

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) --omit-header    --keyword --keyword=_ --keyword=N_ --language=python $(PYSRC)
	$(XGETTEXT) --omit-header -j --keyword --keyword=_ --keyword=N_ --language=Glade $(GLADESRC)
	$(XGETTEXT)               -j --keyword --keyword=_ --keyword=N_ --language=C $(CSRC)
	@$(call po_diff_and_mv_or_rm,$(POTFILE),$(NLSPACKAGE).po)

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	@$(po_diff_and_mv_or_rm_func); \
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
			po_diff_and_mv_or_rm $$lang.po $$lang.pot; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi; \
	done

clean:
	@rm -fv *mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

# stub: grab timezone comments from anaconda translations
#       if anaconda translations found it merged with zone.tab strings to
#       produce only timezone translations. 
	@lang=`basename $< .po` ; \
	msgunfmt /usr/share/locale/$$lang/LC_MESSAGES/anaconda.mo -o anaconda_$$lang.po ;\
	included_timezone_po="" ;\
	if [ -f "anaconda_$$lang.po" ]; then \
	  included_timezone_po="$$lang.timezone.po" ;\
	  cat /usr/share/zoneinfo/zone.tab | cut -f4 | grep "^[a-zA-Z]" | sort -u |\
	  while read line; do echo -e "\n#. generated from zone.tab\nmsgid \"$$line\"\nmsgstr \"\""; done |\
	  msgmerge anaconda_$$lang.po - > $$included_timezone_po ;\
	fi; \
	\
	if [ -f "timezones/$<" ]; then \
		msgcat --use-first $< timezones/$< $$included_timezone_po ; \
	else \
		msgcat --use-first $< $$included_timezone_po; \
	fi | msgfmt --check -o $@ - ; \
	\
	if [ -f "$$included_timezone_po" ] ; then rm -f $$included_timezone_po; fi; \
	if [ -f "anaconda_$$lang.po"     ] ; then rm -f anaconda_$$lang.po;     fi;

.PHONY: missing depend

=== po/timezones/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(PREFIX)/share/locale

MSGMERGE = msgmerge

NLSPACKAGE = timezones

CATALOGS = $(patsubst %.po,%.mo,$(wildcard *.po))

all: $(NLSPACKAGE).pot $(CATALOGS)

$(NLSPACKAGE).h::
	(cd /usr/share/zoneinfo; find . -type f -or -type l) | grep '^./[A-Z]' | egrep -v "(/right/)|(/posix/)|(/zone\.tab$$)" | sort -u | cut -d '/' -f 2- | \
	while read tz; do \
		echo "N_(\"$$tz\");"; \
		comment="`awk '-F\t' '{if ($$3 ~ "^'"$$tz"'$$") { print $$4 }}' < /usr/share/zoneinfo/zone.tab`"; \
		if test -n "$$comment" ; then \
			echo "/* comment for time zone $$tz */"; \
			echo "N_(\"$$comment\");"; \
		fi; \
	done > $@

$(NLSPACKAGE).pot: Makefile $(NLSPACKAGE).h
	xgettext --default-domain=$(NLSPACKAGE) \
		--add-comments --keyword=_ --keyword=N_ $(NLSPACKAGE).h; \
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
		rm -f $(NLSPACKAGE).po; \
	else \
		mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi; \

update-po: Makefile $(NLSPACKAGE).pot
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
#	rm -f *mo $(NLSPACKAGE).pot *~
	rm -f *mo *~

distclean: clean
	rm -f .depend Makefile

depend:

install: $(CATALOGS)
	mkdir -p $(DESTDIR)/usr/share/locale
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(DESTDIR)/usr/share/locale/$$l; \
	    $(INSTALL) -m 755 -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	    if [ -f $$n ]; then \
	        $(INSTALL) -m 644 $$n $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	    fi; \
	done

%.mo: %.po
	msgfmt -o $@ $<

MSGCONV=msgconv -t utf-8

force-utf8:
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGCONV) $$lang.po > $$lang.po.utf8 ; then \
			mv -f $$lang.po.utf8 $$lang.po ; \
			echo "$(MSGCONV) of $$lang succeeded" ; \
		else \
			echo "$(MSGCONV) of $$lang failed" ; \
			rm -f $$lang.po.utf8 ; \
		fi \
	done

report:
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		echo -n "$$lang.po: " ; \
		msgfmt --statistics -o /dev/null $$lang.po ; \
	done

=== debian/changelog ===
system-config-date (1.9.60-0ubuntu2) oneiric; urgency=low

  * debian/control: python-gnomecanvas was merged into python-gnome2, update
    dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 01 Jun 2011 07:35:41 +0200

system-config-date (1.9.60-0ubuntu1) maverick; urgency=low

  * Initial release. This provides a very lightweight alternative to
    gnome-system-tools for systems without Perl. Added some patches to port
    Fedoraisms to Debian/Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Aug 2010 11:39:34 +0200

=== debian/control ===
Source: system-config-date
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
 cdbs,
 desktop-file-utils,
 gettext,
 intltool,
 python,
 python-support
Standards-Version: 3.9.1
Homepage: http://git.fedorahosted.org/git/?p=system-config-date.git

Package: system-config-date
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-gtk2,
 python-gnome2,
 gksu
Description: graphical interface for changing system time and date
 This also allows you to configure NTP and selecting your timezone.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)

binary-post-install/system-config-date::
	dh_pysupport

	# remove PAM and console.apps stuff, we just use gksu
	rm -r debian/${cdbs_curpkg}/etc
	rm debian/${cdbs_curpkg}/usr/bin/system-config-date
	install -m 755 -D system-config-date debian/${cdbs_curpkg}/usr/bin/system-config-date
